
/**
 * 生成 [min, max) 范围内的随机整数
 * @param {*} min 
 * @param {*} max 
 * @returns 
 */
export function rand(min, max) {
  return min + Math.floor(Math.random() * (max - min))
}

/**
 * 随机打散数组
 * @param {*} arr 
 * @returns 
 */
export function shuffle(arr) {
  // 拷贝一份
  const list = arr.slice()

  for (var i = list.length - 1; i >= 0; i--) {
    var randomIndex = Math.floor(Math.random() * (i + 1));
    var itemAtIndex = list[randomIndex];
    list[randomIndex] = list[i];
    list[i] = itemAtIndex;
  }
  return list;
}
